%define	major 0
%define libname	%mklibname genders %{major}
%define develname %mklibname -d genders

%define gendersplusplus_libname	%mklibname gendersplusplus 1

Summary:	Static cluster configuration database
Name:		genders
Version:	1.20
Release:	%mkrel 3
Group:		System/Libraries
License:	GPL
URL:		https://computing.llnl.gov/linux/genders.html
Source0:	http://downloads.sourceforge.net/genders/%{name}-%{version}.tar.gz
BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	perl-devel
BuildRequires:	python-devel

%description
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

%package -n	%{libname}
Summary:	Static cluster configuration database library
Group:          System/Libraries

%description -n	%{libname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

%package -n	%{gendersplusplus_libname}
Summary:	Static cluster configuration database C++ library
Group:          System/Libraries

%description -n	%{gendersplusplus_libname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

This package contains the C++ bindings for genders.


%package -n	%{develname}
Summary:	Static library and header files for the genders library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
Genders is a static cluster configuration database used for cluster
configuration management.  It is used by a variety of tools and scripts for
management of large clusters.  The genders database is typically replicated
on every node of the cluster. It describes the layout and configuration of
the cluster so that tools and scripts can sense the variations of cluster
nodes. By abstracting this information into a plain text file, it becomes
possible to change the configuration of a cluster by modifying only one file.

This package contains the static genders library and its header files.

%package	compat
Summary:	Compatability library
Group:		System/Libraries

%description	compat
genders API that is compatible with earlier releases of genders

%package -n	perl-Libgenders
Summary:	Genders	interface
Group:		Development/Perl
Provides:	perl-Genders = %{version}
Obsoletes:	perl-Genders

%description -n	perl-Libgenders
This package provides a perl interface for querying a genders file.

%package -n	python-libgenders
Summary:	Genders	interface
Group:		Development/Python

%description -n	python-libgenders
This package provides a python interface for querying a genders file.

%prep

%setup  -q -n %{name}-%{version}

%build

%configure2_5x \
    --with-genders-file=%{_sysconfdir}/%{name} \
    --with-perl-site-arch \
    --with-extension-destdir=%{buildroot}

make LD_RUN_PATH=""

%install
install -d %{buildroot}%{_sysconfdir}

%makeinstall_std LD_RUN_PATH=""

install -m0644 genders.sample %{buildroot}%{_sysconfdir}/%{name}

# bork
mv %{buildroot}/usr/local/share/man/man3/Libgenders.3pm %{buildroot}%{_mandir}/man3/Libgenders.3pm

%files
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%doc README NEWS ChangeLog DISCLAIMER DISCLAIMER.UC COPYING TUTORIAL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}
%{_libdir}/*.so.%{major}*

%files -n %{gendersplusplus_libname}
%{_libdir}/libgendersplusplus.so.1*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_mandir}/man3/genders*
%{_mandir}/man3/libgenders*

%files compat
%{_mandir}/man3/gendlib*
%dir %{_prefix}/lib/genders
%{_prefix}/lib/genders/*

%files -n perl-Libgenders
%{perl_sitearch}/Genders.pm
%{perl_sitearch}/Libgenders.pm
%dir %{perl_sitearch}/auto/Libgenders
%{perl_sitearch}/auto/Libgenders/Libgenders.so
%{_mandir}/man3/Genders.3pm*
%{_mandir}/man3/Libgenders.3pm*

%files -n python-libgenders
%{python_sitearch}/genders.py*
%{python_sitearch}/libgenders-*-py*.egg-info
%{python_sitearch}/libgenders.so


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.20-3.mga4
+ Revision: 544892
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.20-2.mga4
+ Revision: 500475
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jun 09 2013 fwang <fwang> 1.20-1.mga4
+ Revision: 441050
- new version 1.20

* Wed May 29 2013 fwang <fwang> 1.18-4.mga4
+ Revision: 430391
- rebuild for new perl

* Fri Jan 11 2013 umeabot <umeabot> 1.18-3.mga3
+ Revision: 351304
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.18-2.mga3
+ Revision: 251545
- perl 5.16 rebuild

* Sun Sep 04 2011 fwang <fwang> 1.18-1.mga2
+ Revision: 138374
- sync with mandriva rpm
- fix install
- br python
- new version 1.18

* Sun Jun 12 2011 sander85 <sander85> 1.13-5.mga2
+ Revision: 104310
- Rebuild for perl 5.14

* Thu Mar 03 2011 ennael <ennael> 1.13-4.mga1
+ Revision: 63300
- clean spec file
- imported package genders


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.13-4mdv2011.0
+ Revision: 564237
- rebuild for perl 5.12.1

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 1.13-3mdv2011.0
+ Revision: 556349
- rebuild for perl 5.12

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.13-2mdv2010.1
+ Revision: 520113
- rebuilt for 2010.1

* Sun Jun 21 2009 Oden Eriksson <oeriksson@mandriva.com> 1.13-1mdv2010.0
+ Revision: 387849
- 1.13

* Thu Jan 29 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11-1mdv2009.1
+ Revision: 335144
- fix deps
- import genders


* Thu Jan 29 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11-1mdv2009.1
- initial Mandriva package
